package de.ivu.elect.presentation.wahl.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.wahl.exchange.WahlParameterExportDescription;

public class WahlParameterExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlParameterSearchMenuItemEntry wahlParameterSearchMenuItemEntry;

  @Inject
  private transient WahlParameterExportDescription wahlParameterExportDescription;

  @Override
  protected ExportDescription getExportDescription() {
    return wahlParameterExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "wahl.parameter.export.menu.item.label";
  }

  @Override
  public boolean isDisabledInternal() {
    return wahlParameterSearchMenuItemEntry.isDisabledInternal();
  }
}
